﻿<!-- Content Header (Page header) -->
<section class="content-header">
    <h1 class="content-header vazir-font">
        <small>سنجش</small>
        آزمون
    </h1>

    <ol class="breadcrumb">
        <li><a ui-sref="questions"><i class="fa fa-dashboard"></i>خانه</a></li>
        <li class="active">آزمون</li>
    </ol>
</section>

<script  id="messageModal.html" type="text/ng-template">
    <div class="modal-header">
        <h3 class="modal-title text-right">نمایش پیام دریافتی</h3>
    </div>
    <div class="modal-body form">
        <div class="row persian-rtl">
            <div class="form-group col-xs-12">
                <div class="col-xs-3 pull-right">
                    ارسال کننده :
                </div>
                <div class="col-xs-9">
                    <a class="link palette-emerald" ng-click="getAdmin()">
                        {{message.FullName | subString :20|pNumber}}
                    </a>
                </div>
            </div>
            <div class="form-group col-xs-12">
                <div class="col-xs-3 pull-right">
                    تاریخ دریافت :
                </div>
                <div class="col-xs-9 text-muted">
                    {{message.MessageDate | jalaliDate :'jYYYY/jMM/jDD'| pNumber}}
                </div>
            </div>
            <div class="form-group col-xs-12">
                <div class="col-xs-3 pull-right">
                    موضوع پیام :
                </div>
                <div class="col-xs-9">
                    {{message.MessageTitle}}
                </div>
            </div>
            <div class=" col-xs-12">
                <div class="col-xs-3 control-label pull-right">
                    پیام :
                </div>
                <div class="col-xs-9">
                    <p class="">{{message.Message}} </p>

                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button class="btn btn-info btn-flat pull-left" type="button" ng-click="cancel()">بستن</button>
    </div>
</script>

<div class="row">
    <div class="col-xs-12">

        <div class="col-xs-12">
            <div class="box box-warning">
                <div class="box-header">
                    <h3 class="box-title vazir-font">پیام های دریافتی</h3>
                    <i class="fa fa-envelope palette-sun-flower"></i>
                </div><!-- /.box-header -->
                <div class="box-body table-responsive no-padding">
                    <table class="table table-hover">
                        <tbody>
                        <tr>
                            <th colspan="2">از طرف</th>
                            <th>موضوع پیام</th>
                            <th> متن پیام</th>
                            <th colspan="2"></th>
                            <th>تاریخ</th>
                        </tr>
                        <tr ng-repeat="m in message.all"
                            class="link fx-zoom-right fx-dur-600 fx-ease-expo fx-stagger-20"
                            ng-click="showMessage(m)">
                            <td  style="width: 50px;">
                                <img class="img-circle" ng-src="{{m.Image}}"
                                     style="width:40px;">
                            </td>
                            <td style="vertical-align: middle;">
                                {{m.FullName | subString :20|pNumber}}
                            </td>
                            <td ng-style="{color: (m.MessageViewed == '0')?'rgb(234, 189, 54)':'#666'}" >
                                {{m.MessageTitle| subString :30|pNumber}}
                            </td>
                            <td class="text-muted" ng-style="{color: (m.MessageViewed == '0')?'rgb(234, 189, 54)':'#666'}">
                                {{m.Message| subString :30|pNumber}}
                            </td>
                            <td class="text-center">
                                <span class="label label-info" style="font-size: 10px" ng-if="m.MessageType == '1'">
ارسالی به ایمیل
                                </span>
                            </td>
                            <td class="text-center">
                                <span class="label label-success" style="font-size: 10px" ng-if="m.MessageViewed == '0'">
دیده نشده
                                </span>
                                <span class="label label-default" style="font-size: 10px" ng-if="m.MessageViewed == '1'">
دیده شده
                                </span>
                            </td>
                            <td>
                                <span class="persian-rtl text-muted">{{m.MessageDate | jalaliDate :'jYYYY/jMM/jDD'|pNumber}}</span>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div><!-- /.box-body -->
                <div class="box-footer clearfix text-center">
                    <auto-paging page="1"
                                 page-size="20"
                                 ul-class="pagination pagination-sm no-margin"
                                 action-name="getAllUserMessages"
                                 data-params="pagingParams"
                                 ng-control="pagingController"
                                 on-load-finish="loadFinishPageData()"
                                 items="message.all">
                    </auto-paging>
                </div>
            </div>
        </div>
    </div>
</div>